/* -*- Javascript -*- */

/* get tree name */

function get_tree_name (xmltree, element_list) {

  if (typeof element_list === 'string')
    element_list = new Array (element_list);

  var elements = xmltree;
  var tree_name = '';
  for (var k in element_list) {
    elements = elements.getElementsByTagName (element_list[k]);
    if (elements.length != 1)
      return '';
    elements = elements[0];
    tree_name += element_list[k] + '_';
  }

  return tree_name;
}

/* get an element from a xmltree */

function find_element_from_xmltree (xmltree, element_list) {

  if (typeof element_list === 'string')
    element_list = new Array (element_list);

  var elements = xmltree;
  for (var k in element_list) {
    elements = elements.getElementsByTagName (element_list[k]);
    if (elements.length != 1)
      return null;
    elements = elements[0];
  }

  return elements;
}
